<script>
    import { onMount } from "svelte";

    export let player;
    export let initialVideoId = "";
    export let playerState;

    const ytPlayerId = "youtube-player";

    onMount(() => {
        function changedstate(e) {
            playerState = e.data;
        }
        function load() {
            player = new YT.Player(ytPlayerId, {
                height: "100%",
                width: "100%",
                videoId: initialVideoId,
                playerVars: {
                    autoplay: 0,
                    loop: 1,
                    controls: 0,
                    disablekb: 1,
                    fs: 0,
                    rel: 0,
                    hl: encodeURI,
                },
                events: {
                    onStateChange: changedstate,
                },
            });
        }

        if (window.YT) {
            load();
        } else {
            window.onYouTubeIframeAPIReady = load;
        }
    });
</script>

<svelte:head>
    <script src="https://www.youtube.com/iframe_api"></script>
</svelte:head>
<div id={ytPlayerId} />
